# Get an institution's details

Get the details of a specific institution.

Endpoint: GET /api/institutions/{id}/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The institution.id you want to get detailed information about.

## Response 200 fields (application/json):

  - `id` (integer)
    The ID of the institution as designated by Belvo.
    Example: 1003

  - `name` (string)
    The name of the institution, as designated by Belvo.
    Example: "erebor_mx_retail"

  - `type` (string)
    The type of institution. We return one of the following values:

  - bank
  - fiscal
  - employment
    Enum: "bank", "fiscal", "employment"

  - `website` (string,null)
    The URL of the institution's website.
    Example: "https://www.erebor.com/"

  - `display_name` (string)
    The customer-facing name of the institution.
    Example: "Erebor Mexico"

  - `country_codes` (array)
    The country codes where the institution is available, for example:
- 🇧🇷 BR (Brazil)
- 🇨🇴 CO (Colombia)
- 🇲🇽 MX (Mexico)
    Example: ["MX"]

  - `primary_color` (string)
    The primary color on the institution's website.
    Example: "#056dae"

  - `logo` (string,null)
    The URL of the institution's logo.
    Example: "https://belvo-api-media.s3.amazonaws.com/logos/erebor_logo.svg"

  - `icon_logo` (string,null)
    The URL of the institution's icon logo.
    Example: "https://statics.belvo.io/widget/images/institutions/erebor.svg"

  - `text_logo` (string,null)
    The URL of the institution's text logo.
    Example: "https://statics.belvo.io/widget/images/institutions/erebor.svg"

  - `form_fields` (array)

  - `form_fields.name` (string)
    The username, password, or username type field.
    Example: "username"

  - `form_fields.type` (string)
    The input type for the form field. For example, string.
    Example: "text"

  - `form_fields.label` (string)
    The label of the form field. For example:
- Client number
- Key Bancanet
- Document
    Example: "Client number"

  - `form_fields.validation` (string)
    The type of input validation used for the field.
    Example: "^.{1,}$"

  - `form_fields.placeholder` (string)
    The placeholder text in the form field.
    Example: "ABC333333A33"

  - `form_fields.validation_message` (string)
    The message displayed when an invalid input is provided in the form field.
    Example: "Invalid client number"

  - `form_fields.values` (array)
    If the form field is for documents, the institution may require additional
input regarding the document type.

  - `form_fields.values.code` (string)
    The code of the document.
    Example: "001"

  - `form_fields.values.label` (string)
    The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
    Example: "Cédula de Ciudadanía"

  - `form_fields.values.validation` (string)
    The type of input validation used for the field.
    Example: "^.{1,}$"

  - `form_fields.values.validation_message` (string)
    The message displayed when an invalid input is provided in the form field.
    Example: "Invalid document number"

  - `form_fields.values.placeholder` (string)
    The placeholder text in the form field.
    Example: "DEF4444908M22"

  - `features` (array)
    The features that the institution supports. If the institution has no special features, then Belvo returns an empty array.

Here is a list of the available features:
- token_required indicates that the institution may require a token during link creation or when making any other requests.

  - `features.name` (string)
    The name of the feature.
    Example: "token_required"

  - `features.description` (string)
    The description of the feature.
    Example: "The institution may require a token during link creation or login"

  - `resources` (array)
    A list of Belvo resources that you can use with the institution. This list includes one or more of the following resources:

  - ACCOUNTS
  - BALANCES
  - BILLS
  - EMPLOYMENTS
  - EMPLOYMENT_RECORDS
  - FINANCIAL_STATEMENTS
  - INCOMES
  - INVESTMENTS
  - INVESTMENT_TRANSACTIONS
  - INVOICES
  - OWNERS
  - RECURRING_EXPENSES
  - RISK_INSIGHTS
  - TRANSACTIONS
  - TAX_COMPLIANCE_STATUS
  - TAX_RETENTIONS
  - TAX_RETURNS
  - TAX_STATUS
    Example: ["ACCOUNTS","BALANCES","INCOMES","OWNERS","RECURRING_EXPENSES","RISK_INSIGHTS","TRANSACTIONS"]

  - `integration_type` (string)
    The type of technology used to access the institution. We return one of the following values:

- credentials: Uses Belvo's scraping technology, combined with user credentials, to perform requests.
- openfinance: Uses the bank's open finance API to perform requests.
    Enum: "credentials", "openfinance"

  - `status` (string)
    Indicates whether Belvo's integration with the institution is currently active (healthy) or undergoing maintenance (down).
    Enum: "healthy", "down"

  - `openbanking_information` (object,null)
    Information about the institution on the Open Finance environment.

  - `openbanking_information.description` (string,null)
    A short description of the institution on the Open Finance environment. Extracted from Open Finance regulated institutions listing.
    Example: "A 1ss Bank é uma fintech fundada em janeiro de 2020, com a missão de ajudar empresas com grandes ecossistemas a se tornarem fintechs, integrando e automatizando seus processos financeiros através de APIs e plataforma white-label."

  - `openbanking_information.participants` (array,null)
    List of brands' servers available from the institution in Open Finance. Extracted from Open Finance regulated institutions listing.
    Example: ["1ss Bank"]

  - `openbanking_information.authorization_server_id` (string,null)
    The authorization server ID (UUID) of the institution on the Open Finance Environment.
    Example: "aa18fcd3-2f0b-40b1-87db-8930b10b78b1"

  - `code` (string,null)
    This field is deprecated and will be removed in a future release. Please use the id field instead, which is the unique identifier for the institution.

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


